Page MenuHomePhabricator

Enable Translate extension on Governance wiki
Open, LowPublic

Description

Setup Translate extension on Governance wiki.

Event Timeline

MarcoAurelio added a subscriber: MarcoAurelio.

This is pending DBA review. Per the Datacenter-Switchover guidelines we were given via wikitech-l, we're adviced not to deploy any extension or service that adds tables or does schecha changes unless DBA says it is okay to do so. The translate extension needs some tables to operate. Granted, foundationwiki is not that large but I'm not sure hence asking before is a good practice to avoid breaking stuff. Thanks.

Marostegui added a subscriber: Marostegui.

@MarcoAurelio thanks for asking!
The tables can be created as those will be empty, it is not a dangerous operation, whoever, the extension shouldn't be enabled until 10th Oct, once we are back in eqiad. The failover back to eqiad is scheduled for 10th Oct at 14:00 UTC.

Thanks again!

MarcoAurelio changed the task status from Open to Stalled.Sep 25 2018, 9:51 PM

Stalled per @Marostegui (until we're back at eqiad) and per @Aklapper (per previous tickets). Thank you.

Varnent triaged this task as Medium priority.Oct 19 2018, 5:44 PM
Aklapper changed the task status from Stalled to Open.May 22 2020, 4:51 PM
Aklapper lowered the priority of this task from Medium to Low.

I don't see what exactly this task is stalled on nowadays, hence reopening. However, no idea how to get an account on foundation.wikimedia.org or edit content on that website, so no idea either who exactly would be both able and interested in translating things there. Guess this could either get resolved or declined.

(For the records, T46871 only got closed with a reference to T68762 having been fixed.)